Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Instalación y Actualizaciones


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

  #21  
Antiguo 15-jul-2018, 20:08
Avatar de karlggest
karlggest karlggest está desconectado
Moderador
 
Fecha de Ingreso: 07-febrero-2007
Ubicación: Ourense
Versión: Leap 15
Mensajes: 8.434
Agradecimientos: 51
Agradecido 1.348 Veces en 1.005 Mensajes
Poder de Credibilidad: 20
karlggest está en el buen camino
Hola.


plasmashell es la interfaz, literalmente eso que ves. Pero no tienes en uso ni dbus ni kwin (que es el gestor de ventanas) así que naturalmente las cosas no funcionan. Sería interesante ver los errores que da tanto kwin_11 como startkde.


Dicho esto, yo haría lo que sigue:
  1. Comprobar y en su caso instalar el driver de tu gráfica y si es necesario poner el noveau en lista negra. Bueno, lo que tengas que hacer como lo has hecho en otras ocasiones.
  2. Desinstalar plasma por completo (todo lo que te salga en los patrones). Quizá, antes que lo anterior, desinstalaría todo el sistema gráfico, pero si tienes el driver gráfico bien instalado no creo que valga la pena. Pero el escritorio sí. Puedes usar xinit para esto o icewm.
Antes de reinstalar, deberías entrar tanto en tus carpetas locales (/home/tuUsuario ) .local como en .config y eliminar todo lo que tenga que ver con Plasma. Si tienes algo que quieras guardar, prueba a hacer una copia.



Salud!!
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a karlggest Por Este Mensaje:
Krovikan (15-jul-2018)
  #22  
Antiguo 15-jul-2018, 22:15
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 15
Mensajes: 738
Agradecimientos: 309
Agradecido 176 Veces en 152 Mensajes
Poder de Credibilidad: 9
Krovikan está en el buen camino
Escribiendo desde el móvil.

No he podido recuperar plasma. Antes puse el driver de Nvidia y desde IceWM borré archivos y dependencias a saco. Ahora no inicia ni IceWM tras "reinstalar" (mal me parece) Plasma.

He borrado el usuario krovikan74, he renombrado el original krovikan a krovikan-BAK y estoy reinstalando todo por 5a vez.

Esta vez he desactivado el firewall (no lo he usado nunca).
Siempre quito AppArmor.

El entorno de ejecución de 32 bits, ¿lo marco?
Lo digo porque cuando he instalado el driver de Nvidia me ha dado la opción de instalar los archivos de compatibilidad de 32 bits (cosa que siempre hacía solo con el parámetro -q de sin preguntas).
Le dí que sí y me soltó:

Código:
WARNING: Unable to determine the path to install the libglvnd EGL vendor library config files.
Check that you have pkg-config and the libglvnd development libraries installed, or specify a path with --glvnd-egl-config-path.
Por el resto, el driver se instaló bien.

Hace un par de posts, cuando ejecuté Yast2 desde xinit (todavía estaba puesto Noveau como driver) salían errores de EGL.
¿Que hago entonces? ¿Qué archivos no ha instalado openSUSE (y que siempre instalaba) para que salga ese error en la instalación de los drivers de Nvidia para la parte de compatibilidad con 32bits y que también sale error en xinit con Noveau?

Estoy parado en el gestor de paquetes de la instalación a la espera de poder solventar estas dudas.

Estoy mirando los archivos que quiere instalar y veo que no hay ni 1 acabado en -32bit.
Wine por ejemplo, recuerdo que siempre instala wine y wine-32bit por poner un ejemplo.

¿Fallará Plasma y kwin porque no hay nada acabado en -32bit?


Saludos y gracias por el apoyo que me dais con vuestras respuestas.
Responder Citando
  #23  
Antiguo 16-jul-2018, 00:23
Avatar de karlggest
karlggest karlggest está desconectado
Moderador
 
Fecha de Ingreso: 07-febrero-2007
Ubicación: Ourense
Versión: Leap 15
Mensajes: 8.434
Agradecimientos: 51
Agradecido 1.348 Veces en 1.005 Mensajes
Poder de Credibilidad: 20
karlggest está en el buen camino
Hola.


En realidad no hay razón para instalar ningún paquete de 32 bits, salvo que lo uses en aplicaciones concretas (p.ej. wine), pero por defecto no se instala nada así.



Verifica que estás instalando los paquetes pkg-config y libglvnd-devel. Ya puestos instala también libglvnd-devel-32bit y con eso el entorno de ejecución de 32 bits que pueda ser requerido por este driver. Ya puestos también instala wine-32bits


Suerte!!
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a karlggest Por Este Mensaje:
Krovikan (16-jul-2018)
  #24  
Antiguo 16-jul-2018, 03:00
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 15
Mensajes: 738
Agradecimientos: 309
Agradecido 176 Veces en 152 Mensajes
Poder de Credibilidad: 9
Krovikan está en el buen camino
Instalado por 5ª vez. Esta vez me he dedicado a poner y quitar paquetes.

Nvidia se ha instalado sin problemas. El instalador me ha dado un montón de info del sistema (cosa que antes no) y ha instalado sin problemas la compatibilidad con 32bit.

Los siguientes resultados de xinit son tanto con un home nuevecito como con el home que guardo siempre.

kwin_x11 escrito desde xinit se queda la pantalla así:



startkde:



plasmashell:



Entonces me he acordado de "a ver qué pasa si quito todos los -BAK que añadí a los directorios y ficheros de plasma en .config y .local".
Eso he hecho. Algunos directorios y ficheros con el -BAK no se han recreado, tales como .config/plasma-workspace y otros que no recuerdo.

Lo único conseguido es que sale la bombilla con filamento de Gecko y debajo el circulito girando de que está cargando plasma.

Todo sigue igual así que no le pasa nada al directorio /home me parece a mi.

EDIT: Una captura a Ksysguard (nada de mirar el systemmonitor que uso para cambiar de programas):



Ahí se ve kwin_x11, plasmashell y krunner pero detenidos

EDIT 2: Salidas de errores usando Preferencias del sistema. Por si ayuda de algo:

[code]systemsettings5
org.kde.kcoreaddons: Expected JSON property "X-KWin-Border-Activate" to be a single string. but it is a bool
mprotect failed in ExecutableAllocator::makeExecutable: Permiso denegado
Mapped JIT code for

KCrash: Application 'systemsettings5' crashing...
KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0

[1]+ Detenido systemsettings5
krovikan@linux-dpzt:~/Descargas> QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 9 and type 'Read', disabling...
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
^C
[1]+ Violación de segmento (`core' generado) systemsettings5[/core]

EDIT 3: Por cierto, en el arranque se queda clavado muchos segundos en Switching root... (eso va después de Plymouth). A lo mejor son los 11 segundos de firmaware:

Código:
systemd-analyze
Startup finished in 11.233s (firmware) + 7.252s (loader) + 1.240s (kernel) + 6.355s (initrd) + 20.506s (userspace) = 46.587s
Los 20 segundos de usuario es lo que tardan los procesos que salen en systemd-analyze blame (recuerdo que antes todo tardaba 28 segundos o similar).

EDIT 4: Hoy sale kwin_x11 como un proceso más (lo veo a veces con un 1% de CPU) y no sale en Ksysguard ni plasmashell ni krunner. :S

EDIT 5: Más comando desde Konsole (siempre dentro de plasma)

Código:
sudo krunner
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
qt.qpa.screen: QXcbConnection: Could not connect to display 
Could not connect to any X display.
Código:
sudo plasmashell
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
qt.qpa.screen: QXcbConnection: Could not connect to display 
Could not connect to any X display.
krovikan@linux-dpzt:~/Descargas> Unable to start Dr. Konqi
Re-raising signal for core dump handling.
^C
[2]-  Violación de segmento  (`core' generado) plasmashell

Saludos

Última edición por Krovikan; 16-jul-2018 a las 13:04 Razón: más info
Responder Citando
  #25  
Antiguo 16-jul-2018, 14:15
Avatar de karlggest
karlggest karlggest está desconectado
Moderador
 
Fecha de Ingreso: 07-febrero-2007
Ubicación: Ourense
Versión: Leap 15
Mensajes: 8.434
Agradecimientos: 51
Agradecido 1.348 Veces en 1.005 Mensajes
Poder de Credibilidad: 20
karlggest está en el buen camino
Hola.


Entiendo cuando dices "dentro de plasma" que el sistema es capaz de arrancar una sesión Plasma y el asunto es que no funcionan algunas cosas, no?


Veamos.


En el caso de usar xinit (sin Plasma ni ningún otro sistema ejecutándose), fíjate que plasmashell te devuelve un mensaje. Bien, deberías de tratar de ejecutar eso tanto para probar plasmashell como para probar startkde.


En cuanto a ejecutar kwin_x11, bien, te has asegurado de que no seguía la sesión gráfica abierta en otra consola?



En el caso de la sesión plasma, eso serían errores de compilación, para lo cual podríamos ver alguna configuración de la BIOS/UEFI, pero no debería hacer falta ningún cambio allí desde la 42.3.



La otra opción más probable es que esa compilación falle en tu sistema, así que quizá puedas resolverlo simplemente instalando la última versión de Plasma y su correspondiente versión de QT.


Yo probaría la versión live: https://software.opensuse.org/distributions/tumbleweed para ver si Plasma responde bien.


Salud!!
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a karlggest Por Este Mensaje:
Krovikan (16-jul-2018)
  #26  
Antiguo 16-jul-2018, 19:28
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 15
Mensajes: 738
Agradecimientos: 309
Agradecido 176 Veces en 152 Mensajes
Poder de Credibilidad: 9
Krovikan está en el buen camino
Thumbs up




Actualicé el kernel a 4.17.6-2. Como no hizo nada activé los repos QT, Frameworks5, KDE Apps, KDE Extra y Packman.


Todo actualizado en ese orden (por Yast y clickando el cambio de versión paquete a paquete por ese orden de repos) y Packman como de sistema.


Como se ve en la imagen Plasma 5.13.3 y Qt 5.11.1. Todo va bien por ahora. He de poner a punto algunos programas, a vokoscreen no le salen codecs para grabar y ya veré que me encuentro por ahí.


Dejo los repos así (espero que no haya problemas):


Código:
zypper lr -upPE
#   | Alias                           |  Nombre                                         | Habilitado |  Comprobación GPG | Actualizar | Prioridad |  URI                                                                                             
---+---------------------------------+------------------------------------------------+------------+------------------+------------+-----------+------------------------------------------------------------------------------------------------
 8  | Packman                         |  Packman                                        | Si         | (r )  Si          | Si         |   70      |  http://packman.inode.at/suse/openSUSE_Leap_15.0/                                                
 4 | KDE_Extra                       | KDE  Extra                                      | Si         | (r )  Si          | Si         |   91      |  http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.0/                        
 3 | KDE_Apps                        | KDE  Apps                                       | Si         | (r )  Si          | Si         |   92      |  http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/
 2  | Frameworks_5                    | Frameworks  5                                   | Si         | (r ) Si          |  Si         |   93      |  http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.0/                  
10 | Qt5                             |  Qt5                                            | Si         | (r )  Si          | Si         |   94      |  http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.0/                          
 5 | Kernel_4.12                     | Kernel  Estable                                 | Si         | (r ) Si          |  Si         |   96      |  http://download.opensuse.org/repositories/Kernel:/stable/standard/                              
 6 | Libdvdcss                       |  Libdvdcss                                      | Si         | (r )  Si          | Si         |   96      |  http://opensuse-guide.org/repo/openSUSE_Leap_15.0/                                              
 7 | Mozilla                         |  Mozilla                                        | Si         | (r )  Si          | Si         |   96      |  http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.0/                           
11 | Wine                            |  Wine                                           | Si         | (r )  Si          | Si         |   96      |  http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_15.0/                   
 1 | Chipcard                        |  Chipcard                                       | Si         | (r )  Si          | Si         |   99      |  http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_15.0/                
 9 | Privacidad                      |  Privacidad                                     | Si         | (r )  Si          | Si         |   99      |  http://download.opensuse.org/repositories/security:/privacy/openSUSE_Leap_15.0/                 
12 | download.opensuse.org-non-oss   | Repositorio principal  (NON-OSS)                | Si         | (r ) Si          | Si          |   99      |  http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/                               
13 | download.opensuse.org-non-oss_1 | Repositorio de  actualizaciones (No OpenSource) | Si         | (r ) Si          |  Si         |   99      |  http://download.opensuse.org/update/leap/15.0/non-oss/                                          
14 | download.opensuse.org-oss       | Repositorio principal  (OSS)                    | Si         | (r ) Si          | Si          |   99      |  http://download.opensuse.org/distribution/leap/15.0/repo/oss/                                   
15 | download.opensuse.org-oss_1     | Repositorio Principal de  Actualizaciones       | Si         | (r ) Si          | Si         |    99      |  http://download.opensuse.org/update/leap/15.0/oss                                               
16 | minGW32                         |  minGW32                                        | Si         | (r )  Si          | Si         |   99      |  http://download.opensuse.org/repositories/windows:/mingw:/win32/openSUSE_Leap_15.0/             
17 | minGW64                         |  minGW64                                        | Si         | (r )  Si          | Si         |   99      |  http://download.opensuse.org/repositories/windows:/mingw:/win64/openSUSE_Leap_15.0/

Menudo jaleo pasarse a Leap 15... La peor instalación de 0 desde que comencé con SuSE 6.3 y su kernel 2.0.46.




Saludos y muchas gracias por toda la ayuda recibida
Responder Citando
  #27  
Antiguo 17-jul-2018, 13:13
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 17.020
Agradecimientos: 635
Agradecido 2.705 Veces en 1.840 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Cita:
Iniciado por Krovikan Ver Mensaje
Actualicé el kernel a 4.17.6-2. Como no hizo nada activé los repos QT, Frameworks5, KDE Apps, KDE Extra y Packman.
Con añadir semejantes repos ya tienes TW en tu cacharro. Seguro que era necesarios.
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Leap no arranca despues de actualizar. HaDo Instalación y Actualizaciones 2 16-feb-2018 21:07
¿ Ciclos de vida de Leap ? mikrios La cafetería 12 28-abr-2017 01:36
Opensuse Leap 42.2 no arranca Jair_LeBentz Instalación y Actualizaciones 9 20-nov-2016 14:27
Instalar Win7-MBR con Leap y 13.2 en UEFI mikrios Instalación y Actualizaciones 0 18-abr-2016 03:44
Actualización Equipo Test y perdida de grub original. mikrios General OpenSUSE 2 13-mar-2016 23:01



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 16:08.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba